🙀

「The unauthenticated git protocol on port 9418 is no longer supported」

2022/04/07に公開約500字

参考記事

下記の記事を参考にしました。

https://github.com/flutter/flutter/issues/96468

対処方法

gitを使用している際に、「The unauthenticated git protocol on port 9418 is no longer supported」エラーが発生する原因は以下の通りです。

pubspec.yaml

[ 間違った書き方 ]

ntp:
   git:
     url: git://github.com/knezzz/ntp.git

[ 正しい書き方 ]
「git:」は以前の書き方になっており、今は「https:」で書く必要があります。

ntp:
   git:
     url: https://github.com/knezzz/ntp.git

Github公式にも書いてありました。

https://github.blog/2021-09-01-improving-git-protocol-security-github/

この記事には「git://」での書き方をしているユーザーには影響がありますと書いてありました。

Discussion

ログインするとコメントできます